<?php

include_once($_SESSION['sys']['basedir'].'/lib/overview_utils.php');

if (empty($_SESSION['overview_kostenstellen.year'])) $_SESSION['overview_kostenstellen.year'] = 0;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Stundenübersicht nach Kostenstellen',
	      'join' => array('arbeitsarten ON einsatz.arbeiten = arbeitsarten.id',
			      'kostenstellen ON einsatz.kostenstelle = kostenstellen.id',
			      ),
	      'where' => "arbeitsarten.arbeitsart <> 'Urlaub' AND arbeitsarten.arbeitsart <> 'Krank' AND arbeitsarten.arbeitsart <> 'Sonstige Fehltage'"
		       . " AND date_part('year', datum) = " . $_SESSION['overview_kostenstellen.year'],
	      'select' => array(
				'title' => 'Auswahl',
				'options' => discover_years(),
				'default' => 'Jahr wählen',
				'selected' => $_SESSION['overview_kostenstellen.year'],
				'onchange' => "setvar(this,'year',select_year_calback,select_year_status)",
				),
	      'variables' => array(
				   'year' => array(),
				   ),
 	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'einsatz.id',
					    ),
			      'datum' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'width' => 70,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'sql' => "kostenstellen.kostenstelle",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'arbeitsarten' => array(
					    'name' => 'Arbeiten',
					    'sql' => "arbeitsarten.arbeitsart",
					    'width' => 150,
					    'specs' => "filterUI: 's'",
					    ),
			      'stunden' => array(
					    'name' => 'Personalstunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    ),
			      'geraetstunden' => array(
					    'name' => 'Gerätstunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    ),
			      'gesamtstunden' => array(
					    'name' => 'Gesamtstunden',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => 'stunden + geraetstunden',
					    ),
			      'stdlfdm' => array(
					    'name' => 'Stunden pro lfdm',
					    'type' => 'number',
					    'specs' => "decPlaces: 2, ClassName: 'alignright', suffix: '&nbsp;', canSort: false",
					    'width' => 60,
					    'sql' => '(stunden + geraetstunden) / laenge',
					    ),
			      ),
	      );

?>
